summaryrefslogtreecommitdiff
path: root/dev-ruby/stringio/stringio-3.1.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-14 05:47:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-14 05:47:57 +0000
commit4cd8f807bb726c066be9ef87a1912a6551f21466 (patch)
treea5929539dbc0a9a62dae0c778b4175f881952ac0 /dev-ruby/stringio/stringio-3.1.1.ebuild
parentd3f5e753fb3ea4e2027f8114f73085a1ae6a06ab (diff)
downloadsrcux-4cd8f807bb726c066be9ef87a1912a6551f21466.tar.gz
srcux-4cd8f807bb726c066be9ef87a1912a6551f21466.tar.xz
srcux-4cd8f807bb726c066be9ef87a1912a6551f21466.zip
Adding metadata
Diffstat (limited to 'dev-ruby/stringio/stringio-3.1.1.ebuild')
-rw-r--r--dev-ruby/stringio/stringio-3.1.1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/stringio/stringio-3.1.1.ebuild b/dev-ruby/stringio/stringio-3.1.1.ebuild
new file mode 100644
index 000000000000..4bc814dc1205
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}